<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/SymbolFactory.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolFactory.hh</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/SymbolFactory.hh</b>
<div><a href="../../Source/Synopsis/SymbolFactory.hh.html" target="content">source code</a></div>
<div><a href="../../FileDetails/Synopsis/SymbolFactory.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html" target="content" title="(class)">SymbolFactory</a></div><div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#Language" target="content" title="(enum)">Language</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#Scopes" target="content" title="(typedef)">Scopes</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#SymbolFactory_lLanguage_r" target="content" title="(member function)">SymbolFactory</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#current_scope_l_r" target="content" title="(member function)">current_scope</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mDeclaration_S_r" target="content" title="(member function)">declare</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mEnumSpec_S_r" target="content" title="(member function)">declare</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mParameterDeclaration_S_r" target="content" title="(member function)">declare</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mTypeParameter_S_r" target="content" title="(member function)">declare</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mTypedef_S_r" target="content" title="(member function)">declare</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mUsingDeclaration_S_r" target="content" title="(member function)">declare</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#declare_lconst.PTree_mUsingDirective_S_r" target="content" title="(member function)">declare</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mBlock_S_r" target="content" title="(member function)">enter_scope</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mClassSpec_S_r" target="content" title="(member function)">enter_scope</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mFunctionDefinition_S_r" target="content" title="(member function)">enter_scope</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mNamespaceSpec_S_r" target="content" title="(member function)">enter_scope</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mNode_S_r" target="content" title="(member function)">enter_scope</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#enter_scope_lconst.PTree_mTemplateDecl_S_r" target="content" title="(member function)">enter_scope</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#lookup_scope_of_qname_lPTree_mEncoding_A_cconst.PTree_mNode_S_r" target="content" title="(member function)">lookup_scope_of_qname</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#my_language" target="content" title="(data member)">my_language</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#my_prototype" target="content" title="(data member)">my_prototype</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#my_scopes" target="content" title="(data member)">my_scopes</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolFactory.html#my_template_parameters" target="content" title="(data member)">my_template_parameters</a></div></div>SymbolLookup<br/>
<div class="fileview-scope"><div class="href"><a href="../../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" target="content" title="(class)">PrototypeScope</a></div><div class="href"><a href="../../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" target="content" title="(class)">TemplateParameterScope</a></div></div>
</div>

</body>
</html>
